diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index c6d3f81c2840aef96294ea6c4296050c99eb5f88..7b851933bfc9434e4a9b5ad939fa6af2619c2d91 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -2,12 +2,21 @@ image: eicweb.phy.anl.gov:4567/containers/image_recipes/root_base:latest
 
 stages:
   - build
+  - build_docker
   - build_sing_img
   - data_replays
   - data_tests
 
+hcana_build:
+  stage: build
+  tags: 
+    - sodium
+  script:
+    -  ls -lrth /usr/local/bin
+    - bash bin/compile
+
 hcana_docker:
-  stage: build  
+  stage: build_docker  
   tags: 
      - eic0 docker
   script:
diff --git a/bin/compile b/bin/compile
new file mode 100755
index 0000000000000000000000000000000000000000..ea6387a783b1d0248b1b727ff622ab78247c79cd
--- /dev/null
+++ b/bin/compile
@@ -0,0 +1,35 @@
+#!/bin/bash
+#set -o nounset
+set -o errexit
+startdir=$(pwd)
+export PYTHONPATH=/usr/local/lib:$PYTHONPATH  
+export LD_LIBRARY_PATH=/usr/local/lib:$LD_LIBRARY_PATH  
+export PATH=/usr/local/bin:$PATH  
+source /usr/local/bin/thisroot.sh 
+cd /tmp 
+git clone https://github.com/fmtlib/fmt.git && cd fmt 
+git checkout 6.2.1 && mkdir /tmp/build && cd /tmp/build 
+cmake -DBUILD_SHARED_LIBS=TRUE ../fmt 
+make -j20 install 
+cd /tmp && rm -r /tmp/build && rm -r /tmp/fmt 
+cd /tmp  
+git clone https://eicweb.phy.anl.gov/jlab/hallc/analyzer_software/hallac_evio.git 
+mkdir hallac_evio/build && cd hallac_evio/build  
+cmake ../.  && make -j20 && make install 
+cd /tmp && rm -rf hallac_evio 
+cd /tmp  
+export PYTHONPATH=/usr/local/lib:$PYTHONPATH  
+export LD_LIBRARY_PATH=/usr/local/lib:$LD_LIBRARY_PATH  
+export PATH=/usr/local/bin:$PATH  
+git clone --depth 1 https://eicweb.phy.anl.gov/jlab/hallc/analyzer_software/analyzer.git 
+mkdir analyzer/build && cd analyzer/build   
+cmake ../.  && make -j20 VERBOSE=1 && make install 
+cd /tmp  && rm -rf analyzer 
+export PYTHONPATH=/usr/local/lib:$PYTHONPATH  
+export LD_LIBRARY_PATH=/usr/local/lib:$LD_LIBRARY_PATH  
+export PATH=/usr/local/bin:$PATH  
+source /usr/local/bin/thisroot.sh 
+cd $startdir
+mkdir build && cd build  
+cmake ../.  && make -j20 VERBOSE=1 && make install  
+
diff --git a/src/THcHodoscope.cxx b/src/THcHodoscope.cxx
index 4c30129c26f28b93dc3f6af3478e5bb05eb2ce09..d781a023f7ccd4fdacd0bd4a6b85949c141a6804 100644
--- a/src/THcHodoscope.cxx
+++ b/src/THcHodoscope.cxx
@@ -1923,8 +1923,8 @@ void THcHodoscope::CalcCluster(void)
 //
 void THcHodoscope::TrackEffTest(void)
 {
-  Double_t PadLow[4];
-  Double_t PadHigh[4];
+  //Double_t PadLow[4];
+  //Double_t PadHigh[4];
 
   // assume X planes are 0,2 and Y planes are 1,3
   std::array<int, 4> PadLow  = {fxLoScin[0], fyLoScin[0], fxLoScin[1], fyLoScin[1]};